# XPMFile (LWJGL API)
Date: 2015-07-28

## org.lwjgl.util
Class XPMFile

    java.lang.Object
      org.lwjgl.util.XPMFile

    public class XPMFile

extends java.lang.Object

NOTE: This simple XPM reader does not support extensions nor hotspots

Version:
  $Revision$ $Id$
Author:
  Brian Matzon <brian@matzon.dk>, Jos Hirth

Method Summary
`byte[]` `getBytes()`
`int` `getHeight()`
`int` `getWidth()`
`static XPMFile` `load(java.io.InputStream is)` Loads the XPM file
`static XPMFile` `load(java.lang.String file)` Loads the XPM file
`static void` `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### load

    public static XPMFile load(java.lang.String file)
                        throws java.io.IOException

  Loads the XPM file

  Parameters:
    `file` - path to file
  Returns:
    XPMFile loaded, or exception
  Throws:
    `java.io.IOException` - If any IO exceptions occurs while reading file

### load

    public static XPMFile load(java.io.InputStream is)

  Loads the XPM file

  Parameters:
    `is` - InputStream to read file from
  Returns:
    XPMFile loaded, or exception

### getHeight

    public int getHeight()

  Returns:
    the height of the image.

### getWidth

    public int getWidth()

  Returns:
    the width of the image.

### getBytes

    public byte[] getBytes()

  Returns:
    The data of the image.

### main

    public static void main(java.lang.String[] args)

  Parameters:
    `args` -

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.